Page MenuHomePhabricator

html2wt endpoint should handle mismatching content versions
Closed, ResolvedPublic

Description

As a first iteration of content negotiation, we want to do on-demand downgrading of Parsoid HTML before serving it to the clients. For VE this means that an edited downgraded HTML. will come back for transformation. So Parsoid html2wt endpoint should be able to correctly handle a. transform request with edited-html-v1, original-html-v2 and original-data-parsoid-v2.

The originals will be matching and the render will be correct, just the format version of the edited HTML will be different.

Event Timeline

Pchelolo triaged this task as Medium priority.Aug 23 2018, 8:50 PM
Pchelolo created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2018, 8:50 PM
Arlolra claimed this task.Aug 30 2018, 6:27 PM

Change 461253 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Downgrade original content when serializing where possible

https://gerrit.wikimedia.org/r/461253

Change 461253 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Downgrade original content when serializing where possible

https://gerrit.wikimedia.org/r/461253

Arlolra closed this task as Resolved.Sep 19 2018, 5:38 PM

This is now on the beta cluster for testing.